org.jfree.data.time

## Class DynamicTimeSeriesCollection.ValueSequence

- java.lang.Object
- - org.jfree.data.time.DynamicTimeSeriesCollection.ValueSequence

Enclosing class:
  DynamicTimeSeriesCollection

    protected class DynamicTimeSeriesCollection.ValueSequence
    extends java.lang.Object

A wrapper for a fixed array of float values.

### Constructor Summary

Constructors
Constructor and Description
`DynamicTimeSeriesCollection.ValueSequence()` Default constructor:
`DynamicTimeSeriesCollection.ValueSequence(int length)` Creates a sequence with the specified length.

### Method Summary

Methods
`void` `enterData(int index, float value)` Enters data into the storage array.
`float` `getData(int index)` Returns a value from the storage array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynamicTimeSeriesCollection.ValueSequence

    public DynamicTimeSeriesCollection.ValueSequence()

Default constructor:

#### DynamicTimeSeriesCollection.ValueSequence

    public DynamicTimeSeriesCollection.ValueSequence(int length)

Creates a sequence with the specified length.

Parameters:
  `length` - the length.

### Method Detail

#### enterData

    public void enterData(int index,
                 float value)

Enters data into the storage array.

Parameters:
  `index` - the index.
  `value` - the value.

#### getData

    public float getData(int index)

Returns a value from the storage array.

Parameters:
  `index` - the index.
Returns:
  The value.